package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * @author tyangzhou
 */

@Getter
@RequiredArgsConstructor
public enum AttributeCompletionEnum {

    ATTRIBUTE_LACK_EVENT_CLASSIFICATION("待补全分类", "101"), ATTRIBUTE_LACK_LOCATION_ANNOTATIONS("待补全经纬度", "102"),
    ATTRIBUTE_LACK_ADMINISTRATIVE_DIVISIONS("待补全行政区划", "103"), ATTRIBUTE_CRITICAL_AREA_PERIMETER("待确认专题区域", "104"),
    ATTRIBUTE_AI_CLASSIFICATION_CONFIRMATION("Ai分类事件待确认", "105"), BOUNDARY_COUNTY("区（市）县交界", "201"),
    BOUNDARY_STREET("街道办交界", "202"), BOUNDARY_COMMUNITY("社区交界", "203"), EVENT_SPLIT("疑似多条事件（待拆分）", "302"),
    EVENT_MERGE("疑似重复事件（待合并）", "301"), UNKNOWN_COMPONENT("不明部件", "401");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static String getName(String value) {
        AttributeCompletionEnum[] enums = AttributeCompletionEnum.values();

        for (AttributeCompletionEnum attributeCompletionEnum : enums) {
            if (attributeCompletionEnum.getValue().equals(value)) {
                return attributeCompletionEnum.getName();
            }
        }
        return "/";
    }

}
