package com.hncy.sjdz.constant.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * GirdSplitTypeEnum 网格分割类型
 * <p>
 * Enum("name","value")
 * <p>
 * ----------------------------------
 * <p>
 * LINE("用线拆分", "1")
 * <p>
 * POLYGON("用面拆分", "2")
 *
 * @Author: lm
 * @Date: 2023/12/05
 */
@Getter
@RequiredArgsConstructor
public enum GirdSplitTypeEnum {

    /**
     * 用线拆分 v:"1"
     */
    LINE("用线拆分", "1"),
    /**
     * 用面拆分 v:"2"
     */
    POLYGON("用面拆分", "2");

    private final String name;

    @JsonValue
    private final String value;

    public static String getName(String value) {
        GirdSplitTypeEnum[] enums = GirdSplitTypeEnum.values();
        for (GirdSplitTypeEnum nowEnum : enums) {
            if (nowEnum.getValue().equals(value)) {
                return nowEnum.getName();
            }
        }
        return "/";
    }

    public static String convertName(GirdSplitTypeEnum enumObj) {
        return Objects.isNull(enumObj) ? "/" : enumObj.getName();
    }

}