package com.hncy.sjdz.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 签收状态 0不需要签收 1待签收 2已签收
 *
 * @author tyangzhou
 */
@Getter
@RequiredArgsConstructor
public enum SignStatusEnum {

    // 不需要签收、 待签收、已签收

    SIGN_STATUS_NO_NEED("不需要签收", "0"), SIGN_STATUS_WAITING("待签收", "1"), SIGN_STATUS_DONE("已签收", "2");

    private final String name;

    @EnumValue
    @JsonValue
    private final String value;

    public static SignStatusEnum getByValue(String keyword) {
        SignStatusEnum[] enums = values();
        for (SignStatusEnum item : enums) {
            if ((item.value).equalsIgnoreCase(keyword)) {
                return item;
            }
        }
        return null;
    }

}
