package com.hncy.sjdz.constant.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Objects;

/**
 * SwitchEnum 开启标记
 * <p>
 * Enum("name","value")
 * <p>
 * ----------------------------------
 * <p>
 * OFF("不开启", "0")
 * <p>
 * ON("开启", "1")
 *
 * @Author: lm
 * @Date: 2023/12/06
 */
@Getter
@RequiredArgsConstructor
public enum SwitchEnum {

    /**
     * 不开启 v:"0"
     */
    OFF("不开启", "0"),
    /**
     * 开启 v:"1"
     */
    ON("开启", "1");

    private final String name;

    @JsonValue
    private final String value;

    public static String getName(String value) {
        SwitchEnum[] enums = SwitchEnum.values();
        for (SwitchEnum nowEnum : enums) {
            if (nowEnum.getValue().equals(value)) {
                return nowEnum.getName();
            }
        }
        return "/";
    }

    public static String convertName(SwitchEnum enumObj) {
        return Objects.isNull(enumObj) ? "/" : enumObj.getName();
    }

}