package com.hncy.sjdz.base.controller;


import com.hncy.sjdz.base.models.dto.BaseLabelEntity;
import com.hncy.sjdz.base.models.entity.SjdzIndustryCategoryDay;
import com.hncy.sjdz.base.models.entity.SjdzIndustryStatisticsDay;
import com.hncy.sjdz.base.service.SjdzIndustryCategoryDayService;
import com.hncy.sjdz.base.service.SjdzIndustryStatisticsDayService;
import com.hncy4cloud.hncy.common.core.util.R;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

@Tag(name = "industryProblem", description = "环卫固废问题")
@Slf4j
@RestController
@RequestMapping("/industryProblem")
public class IndustryIssuesController{

	@Resource
	private SjdzIndustryStatisticsDayService sjdzIndustryStatisticsDayService;
	@Resource
	private SjdzIndustryCategoryDayService sjdzIndustryCategoryDayService;

	@Operation(summary = "环卫固废-今日环卫固废问题统计")
	@GetMapping("/getTodaySanitationSolidWasteIssues")
	public R getTodaySanitationSolidWasteIssues(){
		List<BaseLabelEntity> todaySanitationSolidWasteIssues = sjdzIndustryStatisticsDayService.getTodaySanitationSolidWasteIssues();
		return R.ok(todaySanitationSolidWasteIssues);
	}

	@Operation(summary = "环卫固废问题分布")
	@GetMapping("/getIndustryProblemDistribution")
	public R getIndustryProblemDistribution(){
		return R.ok(sjdzIndustryCategoryDayService.getIndustryProblemDistribution());
	}



}
