package com.hncy.sjdz.base.models.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 责任网格划分
 * @TableName responsibility_grid_division
 */
@TableName(value ="responsibility_grid_division")
@Data
public class ResponsibilityGridDivision implements Serializable {
    /**
     * 主键
     */
    @TableId
    private Long id;

    /**
     * 责任网格编码
     */
    private String responsibilityGridCode;

    /**
     * 业务领域
     */
    private String businessField;

    /**
     * 当前区划
     */
    private String regionCode;

    /**
     * 网格配置员
     */
    private String responsiblePersonId;

    /**
     * 网格督查员
     */
    private String responsiblePersonTwoId;

    /**
     * 网格管理员
     */
    private String responsiblePersonThreeId;

    /**
     * 网格名称
     */
    private String gridName;

    /**
     * 面积
     */
    private Double area;

    /**
     * 周长
     */
    private Double perimeter;

    /**
     * 经营度
     */
    private String manageRange;

    /**
     * 状态
     */
    private String status;

    /**
     * 创建用户
     */
    private Long createUser;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新用户
     */
    private Long updateUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 是否删除
     */
    private Integer isDeleted;

    /**
     * 创建部门
     */
    private Long createDept;

    /**
     * 父区划
     */
    private String parentCode;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}