package com.hncy.sjdz.base.models.vo;

import com.hncy.sjdz.base.models.entity.EventAttachmentInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author zhaoting
 * date  2024/11/12 15:01
 **/
@Data
public class EventInformationVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@Schema(description="id")
	private String id;
	/**
	 * 来电（信）类型
	 */
	@Schema(description="类型 1是来电2是城管24")
	private String type;
	/**
	 * 来电（信）类型
	 */
	@Schema(description="来电（信）类型/来源")
	private String callType;

	/**
	 * 标题
	 */
	@Schema(description="标题")
	private String title;


	/**
	 * 来电内容
	 */
	@Schema(description="内容")
	private String callContent;


	/**
	 * 来信人名称
	 */
	@Schema(description="来信人名称")
	private String senderName;



	/**
	 * 来源
	 */
	@Schema(description="来源")
	private String source;

	/**
	 * 办理状态
	 */
	@Schema(description="办理状态")
	private String handlingStatus;

	@Schema(description = "超期状态")
	private String dealOverdue;


	/**
	* 上报时间
	*/
    @Schema(description="上报时间")
    private LocalDateTime reportTime;

	/**
	 * 处置截止时间
	 */
	@Schema(description = "处置截止时间")
	private LocalDateTime disposeDeadline;

	@Schema(description = "附件")
	List<EventAttachmentInfo> eventAttachmentInfos;

}
