package com.hncy.sjdz.base.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.hncy.sjdz.base.mapper.SafetyDictionaryMapper;
import com.hncy.sjdz.base.mapper.SafetyMonitoringObjectInfoMapper;
import com.hncy.sjdz.base.models.entity.SafetyDictionary;
import com.hncy.sjdz.base.models.vo.TreeNode;
import com.hncy.sjdz.base.service.SafetyDictionaryService;
import com.hncy4cloud.hncy.common.core.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @author cp
 * @since 2024-11-07 15:01:58
 */
@Service
@Slf4j
public class SafetyDictionaryServiceImpl extends ServiceImpl<SafetyDictionaryMapper, SafetyDictionary> implements SafetyDictionaryService {

	@Autowired
	private SafetyDictionaryMapper safetyDictionaryMapper;
	@Autowired
	private SafetyMonitoringObjectInfoMapper safetyMonitoringObjectInfoMapper;
	@Override
	public R getTree(String parentTypeCode,String areaCode) {
		List<Map> data = safetyDictionaryMapper.getTypeAndTotal(parentTypeCode,areaCode);
		LinkedHashMap<String, TreeNode> nodeMap = new LinkedHashMap<>();
		TreeNode root = new TreeNode("", "", "", "");

		// 首先，将所有节点放入一个Map中，以便稍后查找父节点
		for (Map<String, Object> row : data) {
			String typeCode = (String) row.get("type_code");
			String typeName = (String) row.get("type_name");
			String parentCode = (String) row.get("parent_code");
			Long objTotal = safetyMonitoringObjectInfoMapper.selectParentCount(typeCode);
			String total = objTotal.toString();
			TreeNode node = new TreeNode(typeCode, typeName, parentCode, total);
			nodeMap.put(typeCode, node);
		}

		// 然后，构建树结构
		for (Map.Entry<String, TreeNode> entry : nodeMap.entrySet()) {
			TreeNode currentNode = entry.getValue();
			String parentCode = currentNode.getParentCode();

			if (parentCode != null && !parentCode.isEmpty()) {
				TreeNode parentNode = nodeMap.get(parentCode);
				if (parentNode != null) {
					parentNode.addChild(currentNode);
				}
			} else {
				root.addChild(currentNode);
			}

		}
		return R.ok(root.getChildren());
	}


	@Override
	public R getParentType() {
		return R.ok(safetyDictionaryMapper.getParentType());
	}
}