package com.hncy.sjdz.base.task;

import com.hncy.sjdz.base.mapper.SafetyMonitoringObjectInfoMapper;
import com.hncy.sjdz.base.mapper.SafetyMonitoringRecordInfoMapper;
import com.hncy.sjdz.base.models.entity.SafetyMonitoringObjectInfo;
import com.hncy.sjdz.base.models.entity.SafetyMonitoringRecordInfo;
import com.hncy.sjdz.base.util.cdEncryption.DataEncryptionUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import java.util.List;

@Component
@Slf4j
public class DataEncryptionTask {
	@Resource
	private SafetyMonitoringObjectInfoMapper safetyMonitoringObjectInfoMapper;


	@Resource
	private SafetyMonitoringRecordInfoMapper safetyMonitoringRecordInfoMapper;


	@Autowired(required = false)
	private DataEncryptionUtil dataEncryptionUtil;


//	@PostConstruct
//	public void init() {
//		// 在服务启动时立即执行一次任务
//		encryptionObjectInfo();
//
//		encryptionRecordInfo();
//	}

	@Scheduled(cron ="0 0 * * * ?")
	public void encryptionObjectInfo() {
		List<SafetyMonitoringObjectInfo> list = safetyMonitoringObjectInfoMapper.listfifty();

		for (SafetyMonitoringObjectInfo   safetyMonitoringObjectInfo:    list){

			if (dataEncryptionUtil!=null){
				String objectName = dataEncryptionUtil.encryptSM4(safetyMonitoringObjectInfo.getMonitoringObjectName());
				safetyMonitoringObjectInfo.setMonitoringObjectName(objectName);

				String objectTypeName = dataEncryptionUtil.encryptSM4(safetyMonitoringObjectInfo.getMonitoringObjectTypeName());
				safetyMonitoringObjectInfo.setMonitoringObjectTypeName(objectTypeName);

				String photos  = dataEncryptionUtil.encryptSM4(safetyMonitoringObjectInfo.getPhotos());
				safetyMonitoringObjectInfo.setPhotos(photos);

				String position  = 	dataEncryptionUtil.encryptSM4(safetyMonitoringObjectInfo.getPosition());
				safetyMonitoringObjectInfo.setPosition(position);

				String xpos  = 	dataEncryptionUtil.encryptSM4(safetyMonitoringObjectInfo.getXPos());
				safetyMonitoringObjectInfo.setXPos(xpos);

				String ypos  = 	dataEncryptionUtil.encryptSM4(safetyMonitoringObjectInfo.getYPos());
				safetyMonitoringObjectInfo.setYPos(ypos);
			}
			safetyMonitoringObjectInfo.setEncryptionStatus("1");
			safetyMonitoringObjectInfoMapper.updateById(safetyMonitoringObjectInfo);
			log.info("加密"+safetyMonitoringObjectInfo.getId());

		}


	}



	@Scheduled(cron ="0 0 * * * ?")
	public void encryptionRecordInfo() {
		List<SafetyMonitoringRecordInfo> list = safetyMonitoringRecordInfoMapper.listfifty();

		for (SafetyMonitoringRecordInfo   safetyMonitoringRecordInfo:    list){
			if (dataEncryptionUtil!=null){
				String monitoringProject = dataEncryptionUtil.encryptSM4(safetyMonitoringRecordInfo.getMonitoringProject());
				safetyMonitoringRecordInfo.setMonitoringProject(monitoringProject);

				String monitoringValue = dataEncryptionUtil.encryptSM4(safetyMonitoringRecordInfo.getMonitoringValue());
				safetyMonitoringRecordInfo.setMonitoringValue(monitoringValue);

			}
			safetyMonitoringRecordInfo.setEncryptionStatus("1");
			safetyMonitoringRecordInfoMapper.updateById(safetyMonitoringRecordInfo);
			log.info("加密"+safetyMonitoringRecordInfo.getId());
		}

	}
}
