package com.hncy.sjdz.base.util.cdEncryption;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * UpmsSystemProperties
 *
 * @author fate
 * @version 0.0.1
 * @since 2024-11-17 01:31
 **/
@Getter
@Setter
@NoArgsConstructor
@EqualsAndHashCode
@Configuration
@ConfigurationProperties(ChenDEncryptionProperties.PREFIX)
@ConditionalOnProperty(name = "hncy.chendu.encryption.enable")
public class ChenDEncryptionProperties {

    public static final String PREFIX = "hncy.chendu.encryption";

    private String username;

    private String password;

    private String tenantCode;

    private String appCode;

    private String serverAddr;

    private String symmetricKeyName;

    private String symmetricAlgType;

    private String symmetricPaddingType;

    private String symmetricIv;

    private String hmacKeyName;

    private String hmacAlgType;

    private Boolean enable;

}
