package com.hncy.sjdz.base.util.cdEncryption;

import com.hncy4cloud.hncy.common.core.util.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * ChenDuEncryptionController
 *
 * @author fate
 * @version 0.0.1
 * @since 2024-11-20 00:26
 **/

@Slf4j
@RestController
@ConditionalOnBean(CdEncryptionUtil.class)
@RequestMapping("/chen-du/encryption")
public class ChenDuEncryptionController {

    @Resource
    private CdEncryptionUtil cdEncryptionUtil;

    @RequestMapping(method = RequestMethod.GET, value = "/getToken")
    public R<String> getToken() {
        String token = cdEncryptionUtil.getToken();

        return R.ok(token);
    }

    @RequestMapping(method = RequestMethod.GET, value = "/encryptSM4")
    public R<String> encryptSM4(String inData) {
        String token = cdEncryptionUtil.getToken();
        String outData = cdEncryptionUtil.encryptSM4(token, inData);

        return R.ok(outData);
    }

    @RequestMapping(method = RequestMethod.GET, value = "/decryptSM4")
    public R<String> decryptSM4(String inData) {
        String token = cdEncryptionUtil.getToken();
        String outData = cdEncryptionUtil.decryptSM4(token, inData);

        return R.ok(outData);
    }

    @RequestMapping(method = RequestMethod.GET, value = "/hmac")
    public R<String> hmac(String inData) {
        String token = cdEncryptionUtil.getToken();
        String eData = cdEncryptionUtil.decryptSM4(token, inData);
        String hmc = cdEncryptionUtil.hmac(token, eData);

        // 加密字段值
        System.out.println(eData);
        // 签名
        System.out.println(hmc);
        return R.ok(hmc);
    }

}
